Xerces-J API: Class InvalidDatatypeFacetException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.datatype
Class InvalidDatatypeFacetException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.apache.xerces.validators.datatype.XMLException
                        |
                        +--org.apache.xerces.validators.datatype.InvalidDatatypeFacetException

public class InvalidDatatypeFacetException
extends XMLException

Version:
  $Id: InvalidDatatypeFacetException.java,v 1.3 2000/08/11 02:12:02 jeffreyr Exp $
Author:
  Jeffrey Rodriguez
See Also:
  Serialized Form

Constructor Summary
`InvalidDatatypeFacetException()`
`InvalidDatatypeFacetException(java.lang.Exception exception)`
`InvalidDatatypeFacetException(java.lang.String message)`
`InvalidDatatypeFacetException(java.lang.String message, java.lang.Exception exception)`

Method Summary
`int` | `getMajorCode()`
`int` | `getMinorCode()`
`void` | `setMajorCode(int code)`
`void` | `setMinorCode(int code)`

Methods inherited from class org.apache.xerces.validators.datatype.XMLException
`getException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidDatatypeFacetException

    public InvalidDatatypeFacetException()

### InvalidDatatypeFacetException

    public InvalidDatatypeFacetException(java.lang.String message)

### InvalidDatatypeFacetException

    public InvalidDatatypeFacetException(java.lang.Exception exception)

### InvalidDatatypeFacetException

    public InvalidDatatypeFacetException(java.lang.String message,
                                         java.lang.Exception exception)

Method Detail

### getMinorCode

    public int getMinorCode()

### getMajorCode

    public int getMajorCode()

### setMinorCode

    public void setMinorCode(int code)

### setMajorCode

    public void setMajorCode(int code)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.